GNU logs - #50374, boring messages


Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#50374] [PATCH 0/1] Add org-roam-extensions package
Resent-From: "Collin J. Doering" <collin@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Sat, 04 Sep 2021 16:15:01 +0000
Resent-Message-ID: <handler.50374.B.16307720802229 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: report 50374
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: patch
To: 50374 <at> debbugs.gnu.org
X-Debbugs-Original-To: guix-patches@HIDDEN
Received: via spool by submit <at> debbugs.gnu.org id=B.16307720802229
          (code B ref -1); Sat, 04 Sep 2021 16:15:01 +0000
Received: (at submit) by debbugs.gnu.org; 4 Sep 2021 16:14:40 +0000
Received: from localhost ([127.0.0.1]:48441 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mMYJU-0000Zt-1C
	for submit <at> debbugs.gnu.org; Sat, 04 Sep 2021 12:14:40 -0400
Received: from lists.gnu.org ([209.51.188.17]:40596)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <collin@HIDDEN>) id 1mMYJT-0000Zm-0E
 for submit <at> debbugs.gnu.org; Sat, 04 Sep 2021 12:14:39 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:50074)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <collin@HIDDEN>)
 id 1mMYJQ-0003ZP-Vw
 for guix-patches@HIDDEN; Sat, 04 Sep 2021 12:14:37 -0400
Received: from mail-qt1-x832.google.com ([2607:f8b0:4864:20::832]:34648)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <collin@HIDDEN>)
 id 1mMYJP-0006JQ-8k
 for guix-patches@HIDDEN; Sat, 04 Sep 2021 12:14:36 -0400
Received: by mail-qt1-x832.google.com with SMTP id 2so1903222qtw.1
 for <guix-patches@HIDDEN>; Sat, 04 Sep 2021 09:14:34 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=rekahsoft.ca; s=google;
 h=user-agent:from:to:subject:date:message-id:mime-version;
 bh=sUarQQPPAcDFZgnuY2zx9Go8LDgy+kkBTDYWKLpwH/Y=;
 b=biKP+8bJJYaqxO4+SpA1m+GzQtKjPMLN9+qA74wRNlHMn2qpkPeR9wMVYppBAvpGM2
 EGV9Ckso7y09/smfZv2PSRxgDPFDYIIk7ukwAvRiUoFBlHqInD/jq8ZkpvCJXTggF9JI
 IxkHlY64WhMiz6EJ9L76A3ZVkvEBqCV4CPxq16gVh0YI/XWwAISdQNKLM39KoNzhGaRh
 d8PpxRG7biHw8rhv/hQNoYwwcNq0XiXe+uE9UqaXujke6BV0B1j5pK3pCpmWFrlgIVZj
 mzFL2jT1Ql/Bw2xxGRP9c8Lj/4idvwiaeOHQiaOlKUxnAqeFLvUeb2jEsE7rZQi9kExf
 +yvg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:user-agent:from:to:subject:date:message-id
 :mime-version;
 bh=sUarQQPPAcDFZgnuY2zx9Go8LDgy+kkBTDYWKLpwH/Y=;
 b=VPH7MrrQ/aceC58TSlf8gxosd3yJvpnyKK41WfDDM7J84pewec099mdkm/hLI4Y44J
 BONa32lac+Aq3dcHoJCBvpbL+303amxj7V7ibULEGrm1OdWgBhU1f54Khfp58fsOYGo8
 LQR/G3+lBPluyxqH2wCVDBzpDSh3s7JuhJzI/ZJAeY9TF2JNw41ZM7GUqzw1+MtNFARs
 mS4K777+mlTFATFjzarXXmzp9/WsJL3Tj/rjC5MhVDTHT8vWWYGKEz8z8bZhuFqQ5iZL
 3qmFrwaJaMWS6UrHVVjSvOch0FluvFwSFR5cdKQWlXYFCcC6LhD5eSvBhuhMMeGqolv0
 viWg==
X-Gm-Message-State: AOAM531L7uRmtaIFTDufb3tvvRGcygMnEMntYOHL+e514mWUbfeyaelT
 w9yPhc5M5K8m/Gh/e8MUpCMCZ4YM3Q84QA==
X-Google-Smtp-Source: ABdhPJzeXHrOiZnzL9FvJs0S0BoBofMlkPDtx5HnRldny22vpkYXdFZ+Ux1JALWuajWjOSHr1ID2uQ==
X-Received: by 2002:ac8:7d91:: with SMTP id c17mr4046783qtd.288.1630772073241; 
 Sat, 04 Sep 2021 09:14:33 -0700 (PDT)
Received: from rekahsoft-work
 (cpe0008a20f982f-cm64777d666260.cpe.net.cable.rogers.com. [99.255.210.233])
 by smtp.gmail.com with ESMTPSA id d6sm1921522qkn.119.2021.09.04.09.14.32
 for <guix-patches@HIDDEN>
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 04 Sep 2021 09:14:32 -0700 (PDT)
User-agent: mu4e 1.6.5; emacs 27.2
From: "Collin J. Doering" <collin@HIDDEN>
Date: Sat, 04 Sep 2021 12:12:30 -0400
Message-ID: <8735qk9v2x.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
Received-SPF: pass client-ip=2607:f8b0:4864:20::832;
 envelope-from=collin@HIDDEN; helo=mail-qt1-x832.google.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

Instead of the implementation put forth in
https://issues.guix.gnu.org/50333 this change includes org-roam
extensions as a separate package.

Collin J. Doering (1):
  gnu: Add emacs-org-roam-extensions

 gnu/packages/emacs-xyz.scm | 19 +++++++++++++++++++
 1 file changed, 19 insertions(+)

-- 
2.33.0


-- 
Collin J. Doering

http://rekahsoft.ca
http://blog.rekahsoft.ca
http://git.rekahsoft.ca




Message sent:


Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-Mailer: MIME-tools 5.505 (Entity 5.505)
Content-Type: text/plain; charset=utf-8
X-Loop: help-debbugs@HIDDEN
From: help-debbugs@HIDDEN (GNU bug Tracking System)
To: "Collin J. Doering" <collin@HIDDEN>
Subject: bug#50374: Acknowledgement ([PATCH 0/1] Add org-roam-extensions
 package)
Message-ID: <handler.50374.B.16307720802229.ack <at> debbugs.gnu.org>
References: <8735qk9v2x.fsf@HIDDEN>
X-Gnu-PR-Message: ack 50374
X-Gnu-PR-Package: guix-patches
X-Gnu-PR-Keywords: patch
Reply-To: 50374 <at> debbugs.gnu.org
Date: Sat, 04 Sep 2021 16:15:02 +0000

Thank you for filing a new bug report with debbugs.gnu.org.

This is an automatically generated reply to let you know your message
has been received.

Your message is being forwarded to the package maintainers and other
interested parties for their attention; they will reply in due course.

Your message has been sent to the package maintainer(s):
 guix-patches@HIDDEN

If you wish to submit further information on this problem, please
send it to 50374 <at> debbugs.gnu.org.

Please do not send mail to help-debbugs@HIDDEN unless you wish
to report a problem with the Bug-tracking system.

--=20
50374: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D50374
GNU Bug Tracking System
Contact help-debbugs@HIDDEN with problems


Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#50374] [PATCH 1/1] gnu: Add emacs-org-roam-extensions
References: <8735qk9v2x.fsf@HIDDEN>
In-Reply-To: <8735qk9v2x.fsf@HIDDEN>
Resent-From: "Collin J. Doering" <collin@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Sat, 04 Sep 2021 16:21:02 +0000
Resent-Message-ID: <handler.50374.B50374.16307724332894 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 50374
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: patch
To: 50374 <at> debbugs.gnu.org
Received: via spool by 50374-submit <at> debbugs.gnu.org id=B50374.16307724332894
          (code B ref 50374); Sat, 04 Sep 2021 16:21:02 +0000
Received: (at 50374) by debbugs.gnu.org; 4 Sep 2021 16:20:33 +0000
Received: from localhost ([127.0.0.1]:48466 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mMYPB-0000kc-L8
	for submit <at> debbugs.gnu.org; Sat, 04 Sep 2021 12:20:33 -0400
Received: from mail-qv1-f48.google.com ([209.85.219.48]:38678)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <collin@HIDDEN>) id 1mMYP9-0000kP-7e
 for 50374 <at> debbugs.gnu.org; Sat, 04 Sep 2021 12:20:31 -0400
Received: by mail-qv1-f48.google.com with SMTP id ew6so1542302qvb.5
 for <50374 <at> debbugs.gnu.org>; Sat, 04 Sep 2021 09:20:31 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=rekahsoft.ca; s=google;
 h=user-agent:from:to:subject:date:message-id:mime-version;
 bh=by0xy8iLxivbNSUXecyLI8Dk9Qdhee/lLFMws78o8vo=;
 b=OeVfDkShJEvNrlZ/+jGm60y6g5KqBjg/t9LEKo2MYuNLyj5wvZzqD6lyZvH6cxYYsQ
 8tvuo15FpQLU/U5iUZ0EiJdk0teXsMPt5wcPKuvKP2uMVyVtyB0r9JzaYMrEy82z0VTu
 vNkHvk9bGyGXuh3xZ9ChxfIZRsxzJ0gs+tyz6ELWrscdoWzY7oQusTF28VcbZC7zRKA/
 qR+9VdEWpnwNtN63RQ6U3i8J5fSbJQUrWFZNoEcFaQQ7vKWnBiepmIjUFXAyi1hUmfP6
 J16Vqhzi7+2f5mCkp/B8eXRYULASBJz8a2lcOLh9ERzD5yze97S1Kcdjqzb7HhyR+HFH
 9MEQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:user-agent:from:to:subject:date:message-id
 :mime-version;
 bh=by0xy8iLxivbNSUXecyLI8Dk9Qdhee/lLFMws78o8vo=;
 b=YxR2HZKZpAuj7qJqcALeBN9vbtkBGKpjWAiKhyAXpO7EfhM/NVpe+UnEZh7Nj0Eiw9
 TrX/646aqapP7Kg9pQdrJXgz3MT7p11PdcGy58KH7w5/cPNex0BVHq9TOcOj+tkHlBj6
 Sf3VkPNFmtRH1Fh/wlCZYr9HKFDKVm06jgdKeftjL1oyBp/jt0eF219GaudPWk3CfkPz
 FXuttFiNtZp7IZ6XsJuBW0objUf2tXc9wf87jj5EJvC+a7COVGkWBjAqzVuc8bZq/liB
 FZnxBAnYr1AIzkJd9TR3+FW0sgAa0LwxO3eR3k4DWmAmXbUYAso+f6JwWEWIS1rgiEEM
 aFjA==
X-Gm-Message-State: AOAM530wgvyJkiKNBgEkMMntbh555r6Br3SsVkSJ7O1aaN+rG1PDe87z
 0ywXK3kF1w6tX9NQ0rOrWaBtQhPGEgs0Hw==
X-Google-Smtp-Source: ABdhPJwVKL/nwteuQmuWlOPXL4gXdbt3woyAZK/z7G9A/EMN4zSxM7QhAeKdnbvIRWdDLwDzgGIZfQ==
X-Received: by 2002:ad4:5506:: with SMTP id az6mr4480933qvb.65.1630772425386; 
 Sat, 04 Sep 2021 09:20:25 -0700 (PDT)
Received: from rekahsoft-work
 (cpe0008a20f982f-cm64777d666260.cpe.net.cable.rogers.com. [99.255.210.233])
 by smtp.gmail.com with ESMTPSA id 191sm2060504qkh.81.2021.09.04.09.20.24
 for <50374 <at> debbugs.gnu.org>
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 04 Sep 2021 09:20:25 -0700 (PDT)
User-agent: mu4e 1.6.5; emacs 27.2
From: "Collin J. Doering" <collin@HIDDEN>
Date: Sat, 04 Sep 2021 12:19:38 -0400
Message-ID: <87y28c8g8o.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

---
 gnu/packages/emacs-xyz.scm | 19 +++++++++++++++++++
 1 file changed, 19 insertions(+)

diff --git a/gnu/packages/emacs-xyz.scm b/gnu/packages/emacs-xyz.scm
index f04a0225b3..830c642492 100644
--- a/gnu/packages/emacs-xyz.scm
+++ b/gnu/packages/emacs-xyz.scm
@@ -28264,6 +28264,25 @@ as a plug-and-play solution for anyone already using Org mode for their
 personal wiki.")
        (license license:gpl3+)))
 
+(define-public emacs-org-roam-extensions
+  (package
+    (inherit emacs-org-roam)
+    (name "emacs-org-roam-extensions")
+    (propagated-inputs
+     `(,@(package-propagated-inputs emacs-org-roam)
+       ("emacs-org-roam" ,emacs-org-roam)))
+    (arguments
+     `(#:phases
+       (modify-phases %standard-phases
+         (add-after 'unpack 'enter-subdirectory
+           (lambda _ (chdir "extensions") #t))
+         (add-before 'install-license-files 'leave-subdirectory
+           (lambda _ (chdir "..") #t)))))
+    (synopsis "Extensions for Org-Roam")
+    (description "Emacs Org Roam Extensions include utilities for daily note
+taking, the org-roam protocol, graphing note relationships and providing id link
+overlays.")))
+
 (define-public emacs-org-roam-bibtex
   (package
     (name "emacs-org-roam-bibtex")
-- 
2.33.0


-- 
Collin J. Doering

http://rekahsoft.ca
http://blog.rekahsoft.ca
http://git.rekahsoft.ca




Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#50374] (no subject)
References: <8735qk9v2x.fsf@HIDDEN>
In-Reply-To: <8735qk9v2x.fsf@HIDDEN>
Resent-From: Adolfo De =?UTF-8?Q?Un=C3=A1nue?= <adolfo@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Sun, 12 Sep 2021 16:23:01 +0000
Resent-Message-ID: <handler.50374.B50374.163146373728043 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 50374
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: patch
To: 50374 <at> debbugs.gnu.org
Received: via spool by 50374-submit <at> debbugs.gnu.org id=B50374.163146373728043
          (code B ref 50374); Sun, 12 Sep 2021 16:23:01 +0000
Received: (at 50374) by debbugs.gnu.org; 12 Sep 2021 16:22:17 +0000
Received: from localhost ([127.0.0.1]:43490 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mPSFF-0007IF-IN
	for submit <at> debbugs.gnu.org; Sun, 12 Sep 2021 12:22:17 -0400
Received: from wout5-smtp.messagingengine.com ([64.147.123.21]:41041)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <adolfo@HIDDEN>) id 1mPSFC-0007Hn-AQ
 for 50374 <at> debbugs.gnu.org; Sun, 12 Sep 2021 12:22:16 -0400
Received: from compute5.internal (compute5.nyi.internal [10.202.2.45])
 by mailout.west.internal (Postfix) with ESMTP id 14B7A32008C3
 for <50374 <at> debbugs.gnu.org>; Sun, 12 Sep 2021 12:22:07 -0400 (EDT)
Received: from mailfrontend2 ([10.202.2.163])
 by compute5.internal (MEProxy); Sun, 12 Sep 2021 12:22:07 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=unanue.mx; h=
 from:to:date:message-id:mime-version:content-type; s=fm3; bh=hLB
 KOWHWmAhzpHx5Q8RS1ZIlvlPReRcZP2uGLq6MvUw=; b=Jr7y/JvHH+7L8qCmI5B
 t/dbh/hRyh9tpN0b3/b9tfT+HYb3C6ltXkhS5/Lj0EM7c5wrnJMvS7dPsOFLobdX
 EW9e+waNX/gov5Lglxow7fukRsrQsKUXCqWh5E8lB3VweH/QCQEwG6Z5Wb32k1kG
 +xtiX+gA8VcHtQbC5APn65mIi/fYWVfc7/m6pFsP85axuss4lxYMr1RHP7/g8Nn8
 A847K4/5hzWpxQ1yeOsL3TnqkD+ICJHtJa4E8vdc4a+3H+G/BNziC+7gQytz3BOI
 F6DF8mYFUxtQ2touoOfmPGF7rsH8LiZ9NtpZ8hoox73vG1dEgpfvxtRmUKtYXYjH
 eFQ==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=content-type:date:from:message-id
 :mime-version:to:x-me-proxy:x-me-proxy:x-me-sender:x-me-sender
 :x-sasl-enc; s=fm3; bh=hLBKOWHWmAhzpHx5Q8RS1ZIlvlPReRcZP2uGLq6Mv
 Uw=; b=I4A3cW3xKlY9jOTLEK4xCGTsp7miOVfao/sJInnjl5TitdE37EMy0J80c
 VZKhuAIIPmhILMUhMBsDFeEKCVTgLrw4U0GXZUsa4PGj59qWL3+gy12/mDMfRVCY
 WlSuaJOfZsOmE5sez84H1c1qhSLnDxJSRMacVwuB/S0d/ID+y6JSxHdLC8p6CRsL
 n6CqSOzKBhCp8JaljcmCy8J6QdLD7758HRUsSawdQpBQaUv4cP1xaCIrktYy/LLR
 acCK8pHV1L1NE9HaGb4um7bdL3Hgss9l4Dba+noqgnGVXpHTVH2YxNMC6HR4Beas
 dWrJKc0KPId1hJEo29qt0YOHmUYZw==
X-ME-Sender: <xms:Lik-YbcYHA32iiGPpPCT13dP5C-eh3CmVpRk8L-IJGQ8drtvCtRKVw>
 <xme:Lik-YRMM1ZWIDwauV1sCQzyzkMJ_3-cYbcBc46TQbWrRz8hpcQ76UUGbZelXBduJM
 2Qh8EUMkc2r03Ch2FM>
X-ME-Received: <xmr:Lik-YUiOc8dxon3FSyiu2uTcAfVEPCLmb8cSOjnduZuZJUJBUrM5FJ7jo_iGcWRNza-h>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedvtddrudeghedgleejucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfqfgfvpdfurfetoffkrfgpnffqhgen
 uceurghilhhouhhtmecufedttdenucfgmhhpthihuchsuhgsjhgvtghtucdluddtmdenuc
 fjughrpegfhffvfffkgggtsehttdertddtreejnecuhfhrohhmpeetugholhhfohcuffgv
 ucgfnhojnhhuvgcuoegrugholhhfohesuhhnrghnuhgvrdhmgieqnecuggftrfgrthhtvg
 hrnhepleejteelgeevheeuieetfeejheehveeftdejhfdtvdevfedvgeekgffhueetgeeg
 necuffhomhgrihhnpehgnhhurdhorhhgnecuvehluhhsthgvrhfuihiivgeptdenucfrrg
 hrrghmpehmrghilhhfrhhomheprgguohhlfhhosehunhgrnhhuvgdrmhig
X-ME-Proxy: <xmx:Lik-Yc-wS50qUiXPtuHl63jvbM8EHJt_EF_Vit5uw5gAg12lilXB3w>
 <xmx:Lik-YXsGLLe42ohgg441Ugq34nJe9OkK8WBtVFYR9U13BR7xX3WjTg>
 <xmx:Lik-YbHg26-bnImPH-WMHqw02WOzuvvTqhWcWJfENkH8y3JJZOlHqg>
 <xmx:Lik-YU6OeZ5V9TRQAwwb12cofZav_jQSXAmEPDj4FqeYKw1NgOBiPA>
Received: by mail.messagingengine.com (Postfix) with ESMTPA for
 <50374 <at> debbugs.gnu.org>; Sun, 12 Sep 2021 12:22:05 -0400 (EDT)
User-agent: mu4e 1.6.3; emacs 28.0.50
From: Adolfo De =?UTF-8?Q?Un=C3=A1nue?= <adolfo@HIDDEN>
Date: Sun, 12 Sep 2021 11:19:13 -0500
Message-ID: <875yv5sr0z.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; format=flowed
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: Hi I am the author of the patch
 https://issues.guix.gnu.org/50333
 (my first patch, so I am a newbie on this). Could you help me to understand
 why your proposal is a better solution? I want to learn how to approach to
 this matters in the future. 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [64.147.123.21 listed in wl.mailspike.net]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
 low trust [64.147.123.21 listed in list.dnswl.org]
 1.8 MISSING_SUBJECT        Missing Subject: header
 0.2 NO_SUBJECT             Extra score for no subject
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)


Hi

I am the author of the patch https://issues.guix.gnu.org/50333 (my 
first
patch, so I am a newbie on this).

Could you help me to understand why your proposal is a better 
solution?
I want to learn how to approach to this matters in the future.

My rationale is that the extensions folder *is* part of org-roam, 
that's
why I *added* them to the original package.

Also, Do we need to do something in order to get this patch (or 
mine)
approved?
(again, just asking because this workflow is new for me)

Thanks in advance for your time

--
- A




Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#50374] [PATCH 0/1] Add org-roam-extensions package
Resent-From: zimoun <zimon.toutoune@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Tue, 14 Sep 2021 14:50:02 +0000
Resent-Message-ID: <handler.50374.B50374.163163094230255 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 50374
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: patch
To: "Collin J. Doering" <collin@HIDDEN>
Cc: 50374 <at> debbugs.gnu.org
Received: via spool by 50374-submit <at> debbugs.gnu.org id=B50374.163163094230255
          (code B ref 50374); Tue, 14 Sep 2021 14:50:02 +0000
Received: (at 50374) by debbugs.gnu.org; 14 Sep 2021 14:49:02 +0000
Received: from localhost ([127.0.0.1]:49857 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mQ9k5-0007rq-V8
	for submit <at> debbugs.gnu.org; Tue, 14 Sep 2021 10:49:02 -0400
Received: from mail-wr1-f44.google.com ([209.85.221.44]:37505)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1mQ9k0-0007r2-Ia
 for 50374 <at> debbugs.gnu.org; Tue, 14 Sep 2021 10:48:57 -0400
Received: by mail-wr1-f44.google.com with SMTP id t8so15642137wrq.4
 for <50374 <at> debbugs.gnu.org>; Tue, 14 Sep 2021 07:48:56 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-transfer-encoding;
 bh=Fim/xZstxoGxGejqbnwmeL9D1Rv+vN05KtoO7sk2DFM=;
 b=F6Un5iopjQpF8jrdxIaNpbdDxe+DpYb/SrllzetGMogFtXsoqOxD840ZAcY1bVoneo
 9NwJ0QWHzz1h74z+G6AKMwgtvSvHjwg1wv6NVFkfglPapZYxuIDwh+vkSj5vIpEIl2RZ
 mhme1B5ZOY5X+znk5FSmhAUo0Cfk6UWezrS2opr2qqiajdZRu+wFQqUOq6hJ56wcgkqq
 DmgrssYBuDKnstj3ZojyrWhdAfCuNS34AFeVuhLUhJJ3ECGZi1FcTYSr+qPTP95+nDqE
 +MkSpIBmUGDeI3oL0fOQ2UBrqCGHPJ6PjFngklFsNSZNgBkS4m+yV8feQH5+l3WXButi
 Vjnw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version:content-transfer-encoding;
 bh=Fim/xZstxoGxGejqbnwmeL9D1Rv+vN05KtoO7sk2DFM=;
 b=X5Fygl4DhI2Ewh7CYXLzedWsVEhk1BCpJT6QEkoxyg/Fvjo/g3aEPNAMZyIuAnFEaG
 QxpVoy7u79qSCrkfWpE+VST3Skf8hyjq3JPkQ53bVbGB3iBM4DZRloCB8uK8SWYYocaE
 OJ7bFBSI0leLh/whu6OHvDddNd8+uhufK3GdPSMCKE13ZaeDrwq0wJOHLPbX5y3k7ooE
 eLUdUGlk78dC4mcO0LH+0lDe6Q90hwgknb6aX4NmwitITF196mxOwRr5hCuDxRA4kOFX
 Muon00DRHdnMm8cjeuUaeeEN4FYpfmn3dhwOLweAL2EKoPqMg9nm++qnM6C7PhwG/812
 jU3w==
X-Gm-Message-State: AOAM533UtHuahZH8hMgaqxgzUUWMSqa89cuxnbGhGkhcSfjYt+SpdYKN
 5IqHAx/wg/kxx4Zgp7PRRJlt+fNmjm16Zg==
X-Google-Smtp-Source: ABdhPJyCNrUgvlFjjRqWGlH8FzruZSYHT3kXE4CvM+lIKQvRjhcLnRYAiNRQ3+WH+wajZJQ07NOVtA==
X-Received: by 2002:a5d:63c5:: with SMTP id c5mr19386924wrw.135.1631630930934; 
 Tue, 14 Sep 2021 07:48:50 -0700 (PDT)
Received: from lili (roam-nat-fw-prg-194-254-61-40.net.univ-paris-diderot.fr.
 [194.254.61.40])
 by smtp.gmail.com with ESMTPSA id e8sm10815199wrj.48.2021.09.14.07.48.50
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 14 Sep 2021 07:48:50 -0700 (PDT)
From: zimoun <zimon.toutoune@HIDDEN>
References: <8735qk9v2x.fsf@HIDDEN>
Date: Tue, 14 Sep 2021 14:30:08 +0200
In-Reply-To: <8735qk9v2x.fsf@HIDDEN> (Collin J. Doering's message of
 "Sat, 04 Sep 2021 12:12:30 -0400")
Message-ID: <86fsu7tk4v.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi,

On Sat, 04 Sep 2021 at 12:12, "Collin J. Doering" <collin@HIDDEN> wro=
te:
> Instead of the implementation put forth in
> https://issues.guix.gnu.org/50333 this change includes org-roam
> extensions as a separate package.

Naive question, why should the extensions be distributed as a separate
package?  Well, I am not an Org-Roam user=E2=80=A6 having the extensions al=
ong
with the package emacs-org-roam seem the best; other said, why an
Org-Roam user would be annoyed to have these extensions and not use
them?

All the best,
simon




Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#50374] (no subject)
Resent-From: "Collin J. Doering" <collin@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Thu, 16 Sep 2021 13:46:02 +0000
Resent-Message-ID: <handler.50374.B.163179991810147 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 50374
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: patch
To: Adolfo De =?UTF-8?Q?Un=C3=A1nue?= <adolfo@HIDDEN>
Cc: 50374 <at> debbugs.gnu.org
X-Debbugs-Original-Cc: 50374 <at> debbugs.gnu.org, guix-patches@HIDDEN
Received: via spool by submit <at> debbugs.gnu.org id=B.163179991810147
          (code B ref -1); Thu, 16 Sep 2021 13:46:02 +0000
Received: (at submit) by debbugs.gnu.org; 16 Sep 2021 13:45:18 +0000
Received: from localhost ([127.0.0.1]:54160 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mQrhU-0002as-0C
	for submit <at> debbugs.gnu.org; Thu, 16 Sep 2021 09:45:18 -0400
Received: from lists.gnu.org ([209.51.188.17]:36500)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <collin@HIDDEN>) id 1mQrhG-0002Ma-5N
 for submit <at> debbugs.gnu.org; Thu, 16 Sep 2021 09:45:14 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:36084)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <collin@HIDDEN>)
 id 1mQrhF-0008DN-Ll
 for guix-patches@HIDDEN; Thu, 16 Sep 2021 09:45:01 -0400
Received: from mail-qt1-x82b.google.com ([2607:f8b0:4864:20::82b]:34458)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <collin@HIDDEN>)
 id 1mQrhE-0001ct-1M
 for guix-patches@HIDDEN; Thu, 16 Sep 2021 09:45:01 -0400
Received: by mail-qt1-x82b.google.com with SMTP id 2so5548796qtw.1
 for <guix-patches@HIDDEN>; Thu, 16 Sep 2021 06:44:59 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=rekahsoft.ca; s=google;
 h=references:user-agent:from:to:cc:subject:date:in-reply-to
 :message-id:mime-version:content-transfer-encoding;
 bh=vDkldQMNLuxGQxPRYHICpDZ57+w//DK3xpaBqoOMSQQ=;
 b=yWkAPqcUcqiHA3Am7vVyFpTE0B0fxL16kQ2V1xUg6uLfh/Sypci7JUqSrdIYuuurdL
 Ifk2ErPifSFtKZh75TysU6ksRqvE2DYolu3MU/ZFlJ9AST1ixGInilR6Bv2+VKeX00MU
 M451xpkC+nbTky7UnIGth8CGFb0wzyAQsXQKdc432MQ6Tb47PHKce7da+cxIyD6MrrJX
 9AvtU6jwrGWxEvmnK80NsWb6JYiojvhqYkdHQF4lkHfko6196pfpqTINQN0FIthRlVCA
 8uAQepjiTwsfvqzEc6iSSJlvqKpIxo6cPMg0oWwPxCTwzxhSwojjvKWlqvwC2QNfivO6
 HS0g==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:references:user-agent:from:to:cc:subject:date
 :in-reply-to:message-id:mime-version:content-transfer-encoding;
 bh=vDkldQMNLuxGQxPRYHICpDZ57+w//DK3xpaBqoOMSQQ=;
 b=oCgfEAn0ER0NEW/4ib8YTVd1e+daCwaQOh6+POoSt+6nzjNn/3gs8Qsq3cyhOEu3zl
 1J7zZdJgVQk/cjx54tYSY1jZXNigVg+zhQiehQQRXsQQP/4TSISbxwzUM7XEuFuWrtSC
 rBrPlFFqVEY3/b6NsXMlLnQrxljbkWvku2irHUdgCacFrR3t/MCjTMHYBXZd7hEHEiR2
 VOeQZGYNBo+usz+A+yoixAg/gtZPVMGoyPnrP951FqBdG2gCjoRe8npcrCcyzbEC45l6
 iCSfW4m1dNKUXni6j7Rctw84KzD221hoFL+gT0ds3eEL6TS7alV7fEkR9vORHgmeNZ6A
 OPvg==
X-Gm-Message-State: AOAM530lOwusBVqWCWTdVcQ8e9puskPATeZkBtZMz3nRSMsR/OAUL3Jn
 DiJkHU2tCEZdgooYfJprDQdqNwtFKbpH8w==
X-Google-Smtp-Source: ABdhPJwsJkTdbNVg4znGtSIDhSKfMZQTOWH911ow80r2Hxc9LZaiiZo9wwUjXmgytoLfujfHlJl9HQ==
X-Received: by 2002:ac8:7003:: with SMTP id x3mr5224760qtm.284.1631799898086; 
 Thu, 16 Sep 2021 06:44:58 -0700 (PDT)
Received: from rekahsoft-work
 (cpe0008a20f982f-cm64777d666260.cpe.net.cable.rogers.com. [99.255.210.233])
 by smtp.gmail.com with ESMTPSA id l7sm2363151qki.99.2021.09.16.06.44.57
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Thu, 16 Sep 2021 06:44:57 -0700 (PDT)
References: <8735qk9v2x.fsf@HIDDEN> <875yv5sr0z.fsf@HIDDEN>
User-agent: mu4e 1.6.5; emacs 27.2
From: "Collin J. Doering" <collin@HIDDEN>
Date: Thu, 16 Sep 2021 09:38:31 -0400
In-reply-to: <875yv5sr0z.fsf@HIDDEN>
Message-ID: <871r5ohbxj.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
Received-SPF: pass client-ip=2607:f8b0:4864:20::82b;
 envelope-from=collin@HIDDEN; helo=mail-qt1-x82b.google.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 2.0 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Hi Adolfo, I am not a guix expert either and am relatively
 new to the project. I actually asked about this topic on guix IRC, where
 folks there suggested splitting it into another package. I see very little
 diff [...] 
 Content analysis details:   (2.0 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 2.0 SLIGHTLY_BAD_SUBJECT   Subject contains something slightly spammy
 0.0 T_SPF_TEMPERROR        SPF: test of record failed (temperror)
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.3 (/)

Hi Adolfo,

I am not a guix expert either and am relatively new to the project. I
actually asked about this topic on guix IRC, where folks there suggested
splitting it into another package. I see very little difference between
including the org-roam-extensions as a separate package output, or as a
standalone package. I feel that having it as an additional output is
more "pure", but found that many packages already use a standalone
package for extensions, and I found that doing it in this way made both
packages themselves easier to define. You can see this for yourself with
a query like this `guix package -s '.*-extensions$' | recsel -CP name`.

Hope this helps, and kind regards!

On 12 Sep 2021 at 11:19, Adolfo De Un=C3=A1nue <adolfo@HIDDEN> wrote:

> Hi
>
> I am the author of the patch https://issues.guix.gnu.org/50333 (my first
> patch, so I am a newbie on this).
>
> Could you help me to understand why your proposal is a better solution?
> I want to learn how to approach to this matters in the future.
>
> My rationale is that the extensions folder *is* part of org-roam, that's
> why I *added* them to the original package.
>
> Also, Do we need to do something in order to get this patch (or mine)
> approved?
> (again, just asking because this workflow is new for me)
>
> Thanks in advance for your time


--=20
Collin J. Doering

http://rekahsoft.ca
http://blog.rekahsoft.ca
http://git.rekahsoft.ca




Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#50374] (no subject)
Resent-From: "Collin J. Doering" <collin@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Thu, 16 Sep 2021 13:46:02 +0000
Resent-Message-ID: <handler.50374.B50374.16317999099520 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 50374
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: patch
To: Adolfo De =?UTF-8?Q?Un=C3=A1nue?= <adolfo@HIDDEN>
Cc: 50374 <at> debbugs.gnu.org
X-Debbugs-Original-Cc: 50374 <at> debbugs.gnu.org, guix-patches@HIDDEN
Received: via spool by 50374-submit <at> debbugs.gnu.org id=B50374.16317999099520
          (code B ref 50374); Thu, 16 Sep 2021 13:46:02 +0000
Received: (at 50374) by debbugs.gnu.org; 16 Sep 2021 13:45:09 +0000
Received: from localhost ([127.0.0.1]:54158 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mQrhM-0002T5-Cx
	for submit <at> debbugs.gnu.org; Thu, 16 Sep 2021 09:45:08 -0400
Received: from mail-qt1-f171.google.com ([209.85.160.171]:37584)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <collin@HIDDEN>) id 1mQrhH-0002MD-LV
 for 50374 <at> debbugs.gnu.org; Thu, 16 Sep 2021 09:45:06 -0400
Received: by mail-qt1-f171.google.com with SMTP id m9so5531787qtk.4
 for <50374 <at> debbugs.gnu.org>; Thu, 16 Sep 2021 06:45:03 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=rekahsoft.ca; s=google;
 h=references:user-agent:from:to:cc:subject:date:in-reply-to
 :message-id:mime-version:content-transfer-encoding;
 bh=vDkldQMNLuxGQxPRYHICpDZ57+w//DK3xpaBqoOMSQQ=;
 b=yWkAPqcUcqiHA3Am7vVyFpTE0B0fxL16kQ2V1xUg6uLfh/Sypci7JUqSrdIYuuurdL
 Ifk2ErPifSFtKZh75TysU6ksRqvE2DYolu3MU/ZFlJ9AST1ixGInilR6Bv2+VKeX00MU
 M451xpkC+nbTky7UnIGth8CGFb0wzyAQsXQKdc432MQ6Tb47PHKce7da+cxIyD6MrrJX
 9AvtU6jwrGWxEvmnK80NsWb6JYiojvhqYkdHQF4lkHfko6196pfpqTINQN0FIthRlVCA
 8uAQepjiTwsfvqzEc6iSSJlvqKpIxo6cPMg0oWwPxCTwzxhSwojjvKWlqvwC2QNfivO6
 HS0g==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:references:user-agent:from:to:cc:subject:date
 :in-reply-to:message-id:mime-version:content-transfer-encoding;
 bh=vDkldQMNLuxGQxPRYHICpDZ57+w//DK3xpaBqoOMSQQ=;
 b=rVnYSa86QplHOViEYlcO1+MrMGv9UpYA7BiXV/yOxHgKOrAwocGuC0YVlnUyE34ldX
 Xklet0BcYmUYsA3BmqE0ZVFRJElWpK6pKiIEBfD5qHYQ6wtFn3De0IUMFZzSFZ2P+Eyb
 1673PrxcuUIk0LoWlOuF3Wsaqvbi8ZnPXT0afK4btSXYq4w8nPZ/XHMo34rTL8ORCpNV
 2gAQFJFzVAaxBGrcS2zcrVqBJQgZyOXoi3+owWFSVRMx3Sf48fxxTQ0XpYJ9+xJmfKqM
 M3H1ushMs8J9G5+jzZDTxe1whrcKP4OiIQWeGqgwmUHGWDQo5tyAIrGcJd/kseVbaj9I
 GN2Q==
X-Gm-Message-State: AOAM532zmikMHBacalHk1LPJmz78y0BvcM43gm9ZVko3ZTEIAudtjxyV
 npjtWoOixKJ9c+Nrrl7Qt1ccgTndhtkZVA==
X-Google-Smtp-Source: ABdhPJwsJkTdbNVg4znGtSIDhSKfMZQTOWH911ow80r2Hxc9LZaiiZo9wwUjXmgytoLfujfHlJl9HQ==
X-Received: by 2002:ac8:7003:: with SMTP id x3mr5224760qtm.284.1631799898086; 
 Thu, 16 Sep 2021 06:44:58 -0700 (PDT)
Received: from rekahsoft-work
 (cpe0008a20f982f-cm64777d666260.cpe.net.cable.rogers.com. [99.255.210.233])
 by smtp.gmail.com with ESMTPSA id l7sm2363151qki.99.2021.09.16.06.44.57
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Thu, 16 Sep 2021 06:44:57 -0700 (PDT)
References: <8735qk9v2x.fsf@HIDDEN> <875yv5sr0z.fsf@HIDDEN>
User-agent: mu4e 1.6.5; emacs 27.2
From: "Collin J. Doering" <collin@HIDDEN>
Date: Thu, 16 Sep 2021 09:38:31 -0400
In-reply-to: <875yv5sr0z.fsf@HIDDEN>
Message-ID: <871r5ohbxj.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 2.0 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Hi Adolfo, I am not a guix expert either and am relatively
 new to the project. I actually asked about this topic on guix IRC, where
 folks there suggested splitting it into another package. I see very little
 diff [...] 
 Content analysis details:   (2.0 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 2.0 SLIGHTLY_BAD_SUBJECT   Subject contains something slightly spammy
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.160.171 listed in list.dnswl.org]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [209.85.160.171 listed in wl.mailspike.net]
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

Hi Adolfo,

I am not a guix expert either and am relatively new to the project. I
actually asked about this topic on guix IRC, where folks there suggested
splitting it into another package. I see very little difference between
including the org-roam-extensions as a separate package output, or as a
standalone package. I feel that having it as an additional output is
more "pure", but found that many packages already use a standalone
package for extensions, and I found that doing it in this way made both
packages themselves easier to define. You can see this for yourself with
a query like this `guix package -s '.*-extensions$' | recsel -CP name`.

Hope this helps, and kind regards!

On 12 Sep 2021 at 11:19, Adolfo De Un=C3=A1nue <adolfo@HIDDEN> wrote:

> Hi
>
> I am the author of the patch https://issues.guix.gnu.org/50333 (my first
> patch, so I am a newbie on this).
>
> Could you help me to understand why your proposal is a better solution?
> I want to learn how to approach to this matters in the future.
>
> My rationale is that the extensions folder *is* part of org-roam, that's
> why I *added* them to the original package.
>
> Also, Do we need to do something in order to get this patch (or mine)
> approved?
> (again, just asking because this workflow is new for me)
>
> Thanks in advance for your time


--=20
Collin J. Doering

http://rekahsoft.ca
http://blog.rekahsoft.ca
http://git.rekahsoft.ca





Last modified: Thu, 16 Sep 2021 13:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.